Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:33:38 2011
FILE NAME: fileset.f90
PROGRAM NAME: fileset
DIAGNOSTIC LIST

  LINE  LEVEL( NO.): DIAGNOSTIC MESSAGE

    46  warn (   7): Characters in a line over this form limitation 132.
Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:33:38 2011
FILE NAME: fileset.f90
PROGRAM NAME: fileset
TRANSFORMATION LIST

  LINE                   FORTRAN STATEMENT

     1  != Module FileSet
     2  !
     3  ! Authors::   SUGIYAMA Ko-ichiro
     4  ! Version::   $Id: fileset.f90,v 1.8 2011-06-21 06:14:52 sugiyama Exp $
     5  ! Tag Name::  $Name: arare5-20111010 $
     6  ! Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
     7  ! License::   See COPYRIGHT[link:../../COPYRIGHT]
     8  !
     9  !== Overview
    10  !
    11  !Ϳ줿 NAMELIST ե뤫, ¸̾ξ
    12  !ݴɤ뤿ѿȷ⥸塼
    13  !
    14  !== Error Handling
    15  !
    16  !== Known Bugs
    17  !
    18  !== Note
    19  !
    20  !== Future Plans
    21  !
    22  
    23  module fileset
    24    !
    25    !Ϳ줿 NAMELIST ե뤫, I/O ե̾,
    26    !ݴɤ뤿ѿȷ⥸塼
    27    !
    28  
    29    !⥸塼ɤ߹
    30    use dc_types,    only : STRING
    31    use dc_iounit,   only : FileOpen
    32    use dc_message,  only : MessageNotify
    33    use mpi_wrapper, only: myrank
    34    use namelist_util, only: namelist_filename
    35  
    36    !ۤηػ
    37    implicit none
    38  
    39    private
    40  
    41    !ѿ
    42    character(STRING), save, public :: FileTitle = 'cloud moist convection experiment'
    43                                ! ¸̾.
    44                                ! Title of experiment
    45  !!$  character(STRING), save, public :: FileSource = 'deepconv/arare5 $Name: arare5-20111010 $ (http://www.gfd-dennou.org/library/deepconv)'
    46    character(STRING), save, public :: FileSource = 'deepconv/arare5 $Name: arare5-20111010 $'
    47                                ! ǡեץ̾.
    48                                ! Source of data file
    49    character(STRING), save, public :: FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
    50                                ! ǡե/롼.
    51                                ! Institution or person that changes data files for the last time
    52  
    53    public fileset_init
    54  
    55  contains
    56  
    57    subroutine fileset_init
    58      !
    59      !ե뤫ϥե˵ܤɤ߹
    60      !
    61  
    62      !ۤηػ
    63      implicit none
    64  
    65      !ѿ
    66      integer                       :: unit     !եֹ
    67  
    68  
    69      !ե뤫ɤ߹ϥե
    70      NAMELIST /fileset_nml/ FileTitle, FileSource, FileInstitution
    71  
    72      !ե뤫ϥե˵ܤɤ߹
    73      call FileOpen(unit, file=namelist_filename, mode='r')
    74      read(unit, NML=fileset_nml)
    75      close(unit)
    76  
    77      !"myrank == 0" ˳׻Ρɤ, ɤ߹
    78      if (myrank == 0) then
    79        call MessageNotify( "M", &
    80          & "fileset_init", "FileTitle = %c",    c1=trim(FileTitle) )
    81        call MessageNotify( "M", &
    82          & "fileset_init", "FileSource = %c",   c1=trim(FileSource) )
    83        call MessageNotify( "M", &
    84          & "fileset_init", "FileInstitution = %c", c1=trim(FileInstitution) )
    85      end if
    86  
    87    end subroutine fileset_init
    88  
    89  end module fileset
Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:33:38 2011
FILE NAME: fileset.f90
PROGRAM NAME: fileset
FORMAT LIST

  LINE    LOOP     FORTRAN STATEMENT

     1:            != Module FileSet
     2:            !
     3:            ! Authors::   SUGIYAMA Ko-ichiro
     4:            ! Version::   $Id: fileset.f90,v 1.8 2011-06-21 06:14:52 sugiyama Exp $ 
     5:            ! Tag Name::  $Name: arare5-20111010 $
     6:            ! Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
     7:            ! License::   See COPYRIGHT[link:../../COPYRIGHT]
     8:            !
     9:            !== Overview 
    10:            !
    11:            !Ϳ줿 NAMELIST ե뤫, ¸̾ξ
    12:            !ݴɤ뤿ѿȷ⥸塼
    13:            !
    14:            !== Error Handling
    15:            !
    16:            !== Known Bugs
    17:            !
    18:            !== Note
    19:            !
    20:            !== Future Plans
    21:            !
    22:            
    23:            module fileset
    24:              !
    25:              !Ϳ줿 NAMELIST ե뤫, I/O ե̾, 
    26:              !ݴɤ뤿ѿȷ⥸塼
    27:              !
    28:            
    29:              !⥸塼ɤ߹
    30:              use dc_types,    only : STRING        
    31:              use dc_iounit,   only : FileOpen      
    32:              use dc_message,  only : MessageNotify 
    33:              use mpi_wrapper, only: myrank         
    34:              use namelist_util, only: namelist_filename
    35:            
    36:              !ۤηػ
    37:              implicit none
    38:            
    39:              private
    40:            
    41:              !ѿ
    42:              character(STRING), save, public :: FileTitle = 'cloud moist convection experiment'
    43:                                          ! ¸̾.
    44:                                          ! Title of experiment
    45:            !!$  character(STRING), save, public :: FileSource = 'deepconv/arare5 $Name: arare5-20111010 $ (http://www.gfd-dennou.org/library/deepconv)'
    46:              character(STRING), save, public :: FileSource = 'deepconv/arare5 $Name: arare5-20111010 $'
    47:                                          ! ǡեץ̾. 
    48:                                          ! Source of data file
    49:              character(STRING), save, public :: FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
    50:                                          ! ǡե/롼.
    51:                                          ! Institution or person that changes data files for the last time
    52:            
    53:              public fileset_init
    54:            
    55:            contains
    56:            
    57:              subroutine fileset_init
    58:                !
    59:                !ե뤫ϥե˵ܤɤ߹
    60:                !
    61:                
    62:                !ۤηػ
    63:                implicit none
    64:                
    65:                !ѿ
    66:                integer                       :: unit     !եֹ
    67:              
    68:                
    69:                !ե뤫ɤ߹ϥե
    70:                NAMELIST /fileset_nml/ FileTitle, FileSource, FileInstitution
    71:                
    72:                !ե뤫ϥե˵ܤɤ߹
    73:                call FileOpen(unit, file=namelist_filename, mode='r')
    74:                read(unit, NML=fileset_nml)
    75:                close(unit)
    76:                
    77:                !"myrank == 0" ˳׻Ρɤ, ɤ߹
    78:                if (myrank == 0) then 
    79:                  call MessageNotify( "M", &
    80:                    & "fileset_init", "FileTitle = %c",    c1=trim(FileTitle) )
    81:                  call MessageNotify( "M", &
    82:                    & "fileset_init", "FileSource = %c",   c1=trim(FileSource) )
    83:                  call MessageNotify( "M", &
    84:                    & "fileset_init", "FileInstitution = %c", c1=trim(FileInstitution) )
    85:                end if
    86:            
    87:              end subroutine fileset_init
    88:            
    89:            end module fileset
